• Diese Seite verwendet Cookies. Indem du diese Website weiterhin nutzt, erklärst du dich mit der Verwendung von Cookies einverstanden. Erfahre mehr

Nach pkg upgrade: Kann Bluefish nicht mehr installieren

cabriofahrer

Well-Known Member
Themenstarter #1
Nach einem pkg upgrade kann ich bluefish plötzlich nicht mehr nutzen. Ich hatte mich schon gewundert, wo das Programm abgeblieben war, und ein pkg install bluefish will mir jetzt dafür u.a. nicht mehr und nicht weniger meinen Filemanager caja runterhauen. Natürlich will ich auch nicht auf atril und engrampa verzichten:

Code:
# pkg install bluefish
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
pkg: php72-pecl-pdflib has a missing dependency: pdflib
The following 1 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
    bluefish: 2.2.10_1

Number of packages to be installed: 1

The process will require 9 MiB more space.
3 MiB to be downloaded.

Proceed with this action? [y/N]: y
[1/1] Fetching bluefish-2.2.10_1.txz: 100%    3 MiB   1.4MB/s    00:02   
Checking integrity... done (2 conflicting)
  - bluefish-2.2.10_1 conflicts with caja-1.22.1 on /usr/local/share/mime/XMLnamespaces
  - bluefish-2.2.10_1 conflicts with caja-1.22.1 on /usr/local/share/mime/XMLnamespaces
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 6 package(s) will be affected (of 0 checked):

Installed packages to be REMOVED:
    atril-1.22.1_1
    engrampa-1.22.1
    caja-1.22.1

New packages to be INSTALLED:
    bluefish: 2.2.10_1

Installed packages to be REINSTALLED:
    pkg-1.10.5_5
    faac-1.29.9.2_2

Was soll das und gibt es da eine Lösung?

Number of packages to be removed: 3
Number of packages to be installed: 1
Number of packages to be reinstalled: 2

The operation will free 31 MiB.
69 KiB to be downloaded.

Proceed with this action? [y/N]:
 

Zirias

Well-Known Member
#2
Hmm, das ist unschön, scheint ja nur an einem File zu liegen, das beide installieren wollen -- eine "hacky" Lösung wäre vielleicht, bluefish aus dem Port selbst zu bauen und vorher "pkg-plist" zu bearbeiten, so dass das betreffende File nicht im Paket landet.
 

cabriofahrer

Well-Known Member
Themenstarter #3
Pffft, und welches File soll dann wo landen? Ich habe dem Entwickler eine Email geschrieben, mal sehen, ob er das zur Kenntnis nimmt...
Für mich stellt sich nur die Frage, wer was geändert hat, damit nach einem pkg upgrade einige Packages plötzlich nicht mehr nebeneinander existieren können?
 

Zirias

Well-Known Member
#6

holgerw

Well-Known Member
#7
quarterly. Wahrscheinlich willst Du mir nahelegen, dass die Lösung in der Nutzung von latest liegt?
Hallo, ich möchte eher wissen, ob der Fehler bei Dir eventuell durch rasch vorüber gehende Inkonsistenzen, wie sie beim kontinuierlich rollenden Latest durchaus vorkommen, bedingt ist.
Dann würde ich Dir, bevor Du zu weiteren Maßnahmen greifst, zunächst ein Warten von wenigen Tagen empfehlen, um dann noch Mal eine Aktualisierung zu versuchen.
 

cabriofahrer

Well-Known Member
Themenstarter #8
"Pffft" auf einen Lösungsvorschlag finde ich nicht so nett
Tut mir leid, das war nicht so gemeint. Das "Pffft" galt vielmehr mir selbst beim Gefühl, dass das Problem nicht ganz so einfach zu lösen ist.

Hallo, ich möchte eher wissen, ob der Fehler bei Dir eventuell durch rasch vorüber gehende Inkonsistenzen, wie sie beim kontinuierlich rollenden Latest durchaus vorkommen, bedingt ist.
Dann würde ich Dir, bevor Du zu weiteren Maßnahmen greifst, zunächst ein Warten von wenigen Tagen empfehlen, um dann noch Mal eine Aktualisierung zu versuchen.
Das ist genau der Grund, warum ich lieber alles bei den Standardeinstellungen belasse, in diesem Fall quarterly. Und ja, ich will dann noch ein paar Tage warten. Wenn es nicht klappt, werde ich die Lösung von @Zirias ausprobieren.

P.S.: Werden die Quarterly-Packages, wie der Name suggeriert, wirklich jeweils zum Quartalsbeginn bereitgestellt? Das wäre aber dann Anfang Juli, oder etwa nicht?
 

cabriofahrer

Well-Known Member
Themenstarter #9
Dann würde ich Dir, bevor Du zu weiteren Maßnahmen greifst, zunächst ein Warten von wenigen Tagen empfehlen, um dann noch Mal eine Aktualisierung zu versuchen.
Es gibt leichte Fortschritte, aber wir sind noch nicht ganz angekommen:

Code:
# pkg install bluefish
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
The following 3 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
    bluefish: 2.2.10_1
    weblint: 1.020
    gucharmap: 11.0.1

Number of packages to be installed: 3

The process will require 18 MiB more space.
5 MiB to be downloaded.

Proceed with this action? [y/N]: y
[1/2] Fetching bluefish-2.2.10_1.txz: 100%    3 MiB 406.8kB/s    00:07   
[2/2] Fetching gucharmap-11.0.1.txz: 100%    2 MiB 376.5kB/s    00:06   
Checking integrity... done (1 conflicting)
  - bluefish-2.2.10_1 conflicts with caja-1.22.1 on /usr/local/share/mime/XMLnamespaces
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 6 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
    weblint: 1.020
    gucharmap: 11.0.1
    bluefish: 2.2.10_1

Installed packages to be REINSTALLED:
    pkg-1.10.5_5

Number of packages to be installed: 3
Number of packages to be reinstalled: 1

The process will require 18 MiB more space.

Proceed with this action? [y/N]: y
Fetching caja-1.22.1.txz: 100%    3 MiB 524.8kB/s    00:06   
[1/6] Installing weblint-1.020...
[1/6] Extracting weblint-1.020: 100%
[2/6] Installing gucharmap-11.0.1...
[2/6] Extracting gucharmap-11.0.1: 100%
[3/6] Deinstalling caja-1.22.1...
[3/6] Deleting files for caja-1.22.1:  91%
pkg: /usr/local/share/mime/XMLnamespaces different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  91%
pkg: /usr/local/share/mime/aliases different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  92%
pkg: /usr/local/share/mime/generic-icons different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  93%
pkg: /usr/local/share/mime/globs different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  93%
pkg: /usr/local/share/mime/globs2 different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  93%
pkg: /usr/local/share/mime/icons different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  94%
pkg: /usr/local/share/mime/magic different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  94%
pkg: /usr/local/share/mime/mime.cache different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  95%
pkg: /usr/local/share/mime/subclasses different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  95%
pkg: /usr/local/share/mime/treemagic different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1:  96%
pkg: /usr/local/share/mime/types different from original checksum, not removing
[3/6] Deleting files for caja-1.22.1: 100%
[3/6] Installing caja-1.22.1...
[3/6] Extracting caja-1.22.1: 100%
[4/6] Reinstalling pkg-1.10.5_5...
[4/6] Extracting pkg-1.10.5_5: 100%
[5/6] Installing bluefish-2.2.10_1...
pkg: bluefish-2.2.10_1 conflicts with caja-1.22.1 (installs files into the same place).  Problematic file: /usr/local/share/mime/XMLnamespaces
#